/*
 * DSCH.c
 *
 * Dialog Item Definition Data Base routines.
 *
 * Copyright  1995 by Michael D. Trent; all rights reserved
 */

#include "butil.h"
#include "DSCH.h"

#define kDSCHType	'DSCH'
#define kDSCHID		128
#define kDSCHSize	124

DSCHEntry	gDSCHList[31];

OSErr LoadDSCHList(void)
{
	Handle	handle;
	OSErr	err;
	
	handle = Get1Resource(kDSCHType, kDSCHID);
	if (!handle) goto bail;
	
	HLock(handle);
	
	bcopy((char *)(*handle),(char *)gDSCHList,kDSCHSize);
	
	HUnlock(handle);
	
	return noErr;
	
bail:	// If an error occurs, jump here
	err = ResError();
	
	return err;
}