/*
 * datatypes.h
 */

#ifndef __DATATYPES__
#define __DATATYPES__

#define kHealthGood		1
#define kHealthPoisoned	2
#define kHealthDead		3
#define kHealthAshes	4

#define kRaceHuman		1
#define kRaceElf		2
#define kRaceDwarf		3
#define kRaceBobbit		4
#define kRaceFuzzy		5

#define kClassFighter		1
#define kClassCleric		2
#define kClassWizard		3
#define kClassThief			4
#define kClassPaladin		5
#define kClassBarbarian		6
#define kClassLark			7
#define kClassIllusionist	8
#define kClassDruid			9
#define kClassAlchemist		10
#define kClassRanger		11

#define kSexFemale		1
#define kSexMale		2
#define kSexOther		3

#define kArmorNone		0
#define kArmorCloth		1
#define kArmorLeather	2
#define kArmorChain		3
#define kArmorPlate		4
#define kArmorP2Chain	5
#define kArmorP2Plate	6
#define kArmorExotic	7

#define kWeaponNone		0
#define kWeaponDagger	1
#define kWeaponMace		2
#define kWeaponSling	3
#define kWeaponAxe		4
#define kWeaponBow		5
#define kWeaponSword	6
#define kWeapon2HSword	7
#define kWeaponP2Axe	8
#define kWeaponP2Bow	9
#define kWeaponP2Sword	10
#define kWeaponGloves	11
#define kWeaponP4Axe	12
#define kWeaponP4Bow	13
#define kWeaponP4Sword	14
#define kWeaponExotic	15

void LoadControl(DialogPtr d, short item, short charId);
void SaveControl(DialogPtr d, short item, short charId);
void SaveHealth(short id,short offset,short health);
short LoadHealth(short id, short offset);
void SaveRace(short id, short offset, short race);
short LoadRace(short id,short offset);
void SaveClass(short id, short offset, short klass);
short LoadClass(short id,short offset);
void SaveSex(short id, short offset, short sex);
short LoadSex(short id,short offset);

long GetMaxItemSize(short item);
void LoadRadioControl(DialogPtr d, short charId);


#endif // __DATATYPES__
